function [s] =  MotorControllerConnect(com)
%MotorController takes a COM port input and returns a serial object to be
%   used with other motorcontroller functions.
%
%Input the COM port as a double or enter it at the prompt

%Record of Revisions:
%       Date                Programmer         Description of Change
%       ====                ==========         =====================
%     3/14/2007            Matthew Turpin      Original Code

%clears old serial objects
delete(instrfind)

%if COM port not specified, request it
if nargin~=1
    comport = ['com' num2str(input('Enter COM port: '))];
elseif nargin==1
     comport = ['com' num2str(com)];
end

%open the serial port and return the serial object
s = serial(comport,'BAUD',19200);           % Create serial object (PORT Dependent)
fopen(s)                                    % Open the serial port for r/w

end