function [position] = mc_get_position(device, s)
%mc_get_position takes a device, and serial object and returns the absolute
%   position of that device
%
%   This function outputs numbers in the range of -(2^31) to 2^31


%Record of Revisions:
%       Date                Programmer         Description of Change
%       ====                ==========         =====================
%     3/14/2007            Matthew Turpin      Original Code


    %lookup of device hex address
    dev = devlookup(device);
    
    %convert to a string
    str = [dev 'p'];
    data = zeros(1,4);
    
    %transmit string
    for ii = 1:3
        fprintf(s, '%s', str(1,ii));
    end
    
    %recieve string
    for ii=1:4
        data(1,ii) = str2num(fscanf(s));
    end
    
    %recombine data
    position = (data(4)*2^24+data(3)*2^16+data(2)*2^8+data(1))-2^31;
 end