function set_mc_kp(kp, device, s)
%set_mc_kp takes a gain constant input, device, and serial object
%   this information is exported to the master of the motor controller and
%   the adjusts the velocity to the desired level
%
%   This function supports inputs from 0 to 2^31

%Record of Revisions:
%       Date                Programmer         Description of Change
%       ====                ==========         =====================
%     3/14/2007            Matthew Turpin      Original Code

    dev = devlookup(device);
    
    %convert to a string
    str = [dev 'K' dec2hex(kp+2^31)];
    str(1,4) = '0';
    
    %transmit string
    for ii = 1:11
        fprintf(s, '%s', str(1,ii));
    end
end