function set_mc_position(position, device, s)
%set_mc_position takes a position input, device, and serial object
%   this information is exported to the master of the motor controller and
%   the move to that absolute position is carried out.
%
%   This function supports inputs from -(2^31) to 2^31


%Record of Revisions:
%       Date                Programmer         Description of Change
%       ====                ==========         =====================
%     3/14/2007            Matthew Turpin      Original Code

    %lookup of device hex address
    dev = devlookup(device);
    
    %convert to a string
    str = [dev 'P' dec2hex(position+2^31)];
    
    %transmit string
    for ii = 1:11
        fprintf(s, '%s', str(1,ii));
    end
end