function set_mc_velocity(velocity, device, s)
%set_mc_velocity takes a velocity input, device, and serial object
%   This information is exported to the master of the motor controller and
%   the controller adjusts the velocity to the desired level
%
%   This function supports inputs from -(2^31) to 2^31


%Record of Revisions:
%       Date                Programmer         Description of Change
%       ====                ==========         =====================
%     3/14/2007            Matthew Turpin      Original Code

    %lookup of device hex address
    dev = devlookup(device);
    
    %convert to a string
    str = [dev 'V' dec2hex(velocity+2^31)];
    
    %transmit string
    for ii = 1:11
        fprintf(s, '%s', str(1,ii));
    end
end